Skip to main content
Nowledge MemNowledge Mem

Forget Memory

POST
/memories/{memory_id}/forget

Remove a memory from recall and explicit by-id reads without hard-deleting graph rows.

Path Parameters

memory_id*Memory Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Set an explicit lifecycle state for a memory.

Response Body

application/json

application/json

curl -X POST "https://example.com/memories/string/forget" \  -H "Content-Type: application/json" \  -d '{}'
{}